Uses of Class
org.tigris.scarab.om.Issue

Packages that use Issue
org.tigris.scarab.actions   
org.tigris.scarab.feeds   
org.tigris.scarab.notification   
org.tigris.scarab.om   
org.tigris.scarab.tools   
org.tigris.scarab.util   
org.tigris.scarab.util.word   
org.tigris.scarab.workflow   
org.tigris.scarab.xmlrpc   
 

Uses of Issue in org.tigris.scarab.actions
 

Methods in org.tigris.scarab.actions with parameters of type Issue
(package private) static void ModifyIssue.addFileAttachment(Issue issue, org.apache.fulcrum.intake.model.Group group, Attachment attachment, ScarabRequestTool scarabR, org.apache.turbine.RunData data, org.apache.turbine.tool.IntakeTool intake)
          Adds a file attachment to an issue.
 

Uses of Issue in org.tigris.scarab.feeds
 

Constructors in org.tigris.scarab.feeds with parameters of type Issue
IssueFeed(Issue issue, ScarabLink scarabLink, ScarabToolManager scarabToolManager, ScarabLocalizationTool l10nTool)
           
 

Uses of Issue in org.tigris.scarab.notification
 

Methods in org.tigris.scarab.notification with parameters of type Issue
 void ScarabOldNotificationManager.addActivityNotification(ActivityType event, ActivitySet activitySet, Issue issue, ScarabUser fromUser)
          Receives an activitySet from which to generate notification.
 void ScarabOldNotificationManager.addActivityNotification(ActivityType event, ActivitySet activitySet, Issue issue, java.util.Set toUsers, java.util.Set ccUsers, ScarabUser fromUser)
          Long version of the addActivityNotification method, allowing to pass the sets of users involved as 'To' or 'CC'.
 void NotificationManager.addActivityNotification(ActivityType event, ActivitySet activitySet, Issue issue, ScarabUser fromUser)
          This method should add a notification to be processed.
 void NotificationManager.addActivityNotification(ActivityType event, ActivitySet activitySet, Issue issue, java.util.Set toUsers, java.util.Set ccUsers, ScarabUser fromUser)
          Long version of the addActivityNotification method, allowing to pass the sets of users involved as 'To' or 'CC'.
 void ScarabNewNotificationManager.addActivityNotification(ActivityType event, ActivitySet activitySet, Issue issue, ScarabUser fromUser)
          Receives an activitySet from which to generate notification.
 void ScarabNewNotificationManager.addActivityNotification(ActivityType event, ActivitySet activitySet, Issue issue, java.util.Set toUsers, java.util.Set ccUsers, ScarabUser fromUser)
          Long version of the addActivityNotification method, allowing to pass the sets of users involved as 'To' or 'CC'.
 

Uses of Issue in org.tigris.scarab.om
 

Methods in org.tigris.scarab.om that return Issue
 Issue BaseDepend.getIssueRelatedByObservedId()
          Returns the associated Issue object.
 Issue BaseDepend.getIssueRelatedByObservedId(java.sql.Connection connection)
          Return the associated Issue object If it was not retrieved before, the object is retrieved from the database using the passed connection
 Issue BaseDepend.getIssueRelatedByObserverId()
          Returns the associated Issue object.
 Issue BaseDepend.getIssueRelatedByObserverId(java.sql.Connection connection)
          Return the associated Issue object If it was not retrieved before, the object is retrieved from the database using the passed connection
static Issue IssueManager.getIssueById(java.lang.String id, java.lang.String defaultCode)
          If the id is not specified, return null otherwise return the issue object.
static Issue IssueManager.getIssueById(java.lang.String id)
          If the id is not specified, return null otherwise return the issue object.
static Issue IssueManager.getIssueById(Issue.FederatedId fid)
           
static Issue IssueManager.getIssueByIdImpl(Issue.FederatedId fid)
           
 Issue BaseIssue.copy()
          Makes a copy of this object.
protected  Issue BaseIssue.copyInto(Issue copyObj)
           
 Issue AbstractScarabUser.getReportingIssue(java.lang.String key)
           
 Issue BaseIssueVote.getIssue()
          Returns the associated Issue object.
 Issue BaseIssueVote.getIssue(java.sql.Connection connection)
          Return the associated Issue object If it was not retrieved before, the object is retrieved from the database using the passed connection
 Issue Module.getNewIssue(IssueType issueType)
           
 Issue Module.getIssueById(java.lang.String id)
          Deprecated. use IssueManager.getIssueById(String id, String defaultCode) I think this method should only return issues from this module, but there is only one place in the code where something like that was needed and the check is done there. Its possible we would want to define this method to return issues in children or some other criteria. deprecating for removal until a definite reason for it to exist appears.
 Issue BaseActivity.getIssue()
          Returns the associated Issue object.
 Issue BaseActivity.getIssue(java.sql.Connection connection)
          Return the associated Issue object If it was not retrieved before, the object is retrieved from the database using the passed connection
static Issue Issue.getNewInstance(Module module, IssueType issueType)
          Gets an issue associated to a Module
static Issue Issue.getIssueById(java.lang.String id)
          Deprecated. use IssueManager.getIssueById
static Issue Issue.getIssueById(Issue.FederatedId fid)
          Deprecated. use IssueManager.getIssueById
 Issue Issue.move(Module newModule, IssueType newIssueType, java.lang.String action, ScarabUser user, java.lang.String reason, java.util.List commentAttrs, java.util.List commentUserValues)
          Move or copy issue to destination module.
 Issue BaseAttributeValue.getIssue()
          Returns the associated Issue object.
 Issue BaseAttributeValue.getIssue(java.sql.Connection connection)
          Return the associated Issue object If it was not retrieved before, the object is retrieved from the database using the passed connection
 Issue ScarabUserImpl.getReportingIssue(java.lang.String key)
           
 Issue BaseAttachment.getIssue()
          Returns the associated Issue object.
 Issue BaseAttachment.getIssue(java.sql.Connection connection)
          Return the associated Issue object If it was not retrieved before, the object is retrieved from the database using the passed connection
static Issue BaseIssuePeer.row2Object(com.workingdogs.village.Record row, int offset, java.lang.Class cls)
          Create a new object of type cls from a resultset row starting from a specified offset.
static Issue BaseIssuePeer.retrieveByPK(java.lang.Long pk)
          Retrieve a single object by pk
static Issue BaseIssuePeer.retrieveByPK(java.lang.Long pk, java.sql.Connection con)
          Retrieve a single object by pk
static Issue BaseIssuePeer.retrieveByPK(org.apache.torque.om.ObjectKey pk)
          Retrieve a single object by pk
static Issue BaseIssuePeer.retrieveByPK(org.apache.torque.om.ObjectKey pk, java.sql.Connection con)
          Retrieve a single object by pk
 Issue AbstractScarabModule.getNewIssue(IssueType issueType)
          Creates a new Issue.
 Issue AbstractScarabModule.getIssueById(java.lang.String id)
          Deprecated. use IssueManager.getIssueById(String id, String defaultCode)
 Issue ScarabUser.getReportingIssue(java.lang.String key)
          Gets an issue stored in the temp hash under key.
static Issue BaseIssueManager.getInstance()
          Static accessor for the @see #getInstanceImpl().
static Issue BaseIssueManager.getInstance(org.apache.torque.om.ObjectKey id)
          Static accessor for the @see #getInstanceImpl(ObjectKey).
static Issue BaseIssueManager.getCachedInstance(org.apache.torque.om.ObjectKey id)
          Static accessor for the @see #getCachedInstanceImpl(ObjectKey).
static Issue BaseIssueManager.getInstance(org.apache.torque.om.ObjectKey id, boolean fromCache)
          Static accessor for the @see #getInstanceImpl(ObjectKey, boolean).
static Issue BaseIssueManager.getInstance(java.lang.Long id)
          Static accessor for the @see #getInstanceImpl(ObjectKey).
static Issue BaseIssueManager.getInstance(java.lang.Long id, boolean fromCache)
          Static accessor for the @see #getInstanceImpl(ObjectKey).
protected  Issue BaseIssueManager.getInstanceImpl()
          Get a fresh instance of a IssueManager
protected  Issue BaseIssueManager.getInstanceImpl(org.apache.torque.om.ObjectKey id)
          Get a Issue with the given id.
protected  Issue BaseIssueManager.getCachedInstanceImpl(org.apache.torque.om.ObjectKey id)
          Get a Issue with the given id from the cache.
protected  Issue BaseIssueManager.getInstanceImpl(org.apache.torque.om.ObjectKey id, boolean fromCache)
          Get a Issue with the given id.
 Issue BaseIssueTemplateInfo.getIssue()
          Returns the associated Issue object.
 Issue BaseIssueTemplateInfo.getIssue(java.sql.Connection connection)
          Return the associated Issue object If it was not retrieved before, the object is retrieved from the database using the passed connection
static Issue IssuePeer.retrieveByPK(org.apache.torque.om.ObjectKey pk)
          Retrieve a single object by pk
 

Methods in org.tigris.scarab.om with parameters of type Issue
 void BaseDepend.setIssueRelatedByObservedId(Issue v)
          Declares an association between this object and a Issue object
 void BaseDepend.setIssueRelatedByObserverId(Issue v)
          Declares an association between this object and a Issue object
protected  Issue BaseIssue.copyInto(Issue copyObj)
           
 Activity Activity.copy(Issue issue, ActivitySet activitySet)
           
 void Attachment.setTextFields(ScarabUser user, Issue issue, java.lang.Integer typeId)
          Populates fields for a text (non-file) type of attachment.
static Attachment AttachmentManager.getComment(Attachment attachment, Issue issue, ScarabUser user)
           
static Attachment AttachmentManager.getReason(Attachment attachment, Issue issue, ScarabUser user)
           
static Activity ActivityManager.createNumericActivity(Issue issue, Attribute attribute, ActivitySet activitySet, Attachment attachment, java.lang.Integer oldNumericValue, java.lang.Integer newNumericValue)
           
static Activity ActivityManager.createUserActivity(Issue issue, Attribute attribute, ActivitySet activitySet, Attachment attachment, java.lang.Integer oldUserId, java.lang.Integer newUserId)
           
static Activity ActivityManager.createAddDependencyActivity(Issue issue, ActivitySet activitySet, Depend depend)
           
static Activity ActivityManager.createChangeDependencyActivity(Issue issue, ActivitySet activitySet, Depend depend, java.lang.String oldTextValue, java.lang.String newTextValue)
           
static Activity ActivityManager.createDeleteDependencyActivity(Issue issue, ActivitySet activitySet, Depend depend)
           
static Activity ActivityManager.createTextActivity(Issue issue, ActivitySet activitySet, ActivityType type, java.lang.String newTextValue)
           
static Activity ActivityManager.createTextActivity(Issue issue, ActivitySet activitySet, ActivityType type, Attachment attachment)
           
static Activity ActivityManager.createTextActivity(Issue issue, Attribute attribute, ActivitySet activitySet, ActivityType type, java.lang.String oldTextValue, java.lang.String newTextValue)
           
static Activity ActivityManager.createTextActivity(Issue issue, ActivitySet activitySet, ActivityType type, Attachment attachment, java.lang.String oldTextValue, java.lang.String newTextValue)
           
static Activity ActivityManager.createTextActivity(Issue issue, Attribute attribute, ActivitySet activitySet, ActivityType type, java.lang.String description, Attachment attachment, java.lang.String oldTextValue, java.lang.String newTextValue)
           
static Activity ActivityManager.createReportIssueActivity(Issue issue, ActivitySet activitySet, java.lang.String message)
          Populates a new Activity object for initial issue creation.
static Activity ActivityManager.createDeleteIssueActivity(Issue issue, ActivitySet activitySet)
          Populates a new Activity for issue deletion
static Activity ActivityManager.create(Issue issue, Attribute attribute, ActivitySet activitySet, ActivityType type, java.lang.String description, Attachment attachment, java.lang.Integer oldNumericValue, java.lang.Integer newNumericValue, java.lang.Integer oldUserId, java.lang.Integer newUserId, java.lang.Integer oldOptionId, java.lang.Integer newOptionId, java.lang.String oldTextValue, java.lang.String newTextValue)
          Populates a new Activity object.
static Activity ActivityManager.create(Issue issue, Attribute attribute, ActivitySet activitySet, ActivityType type, java.lang.String description, Attachment attachment, java.lang.Integer oldNumericValue, java.lang.Integer newNumericValue, java.lang.Integer oldUserId, java.lang.Integer newUserId, java.lang.Integer oldOptionId, java.lang.Integer newOptionId, java.lang.String oldTextValue, java.lang.String newTextValue, java.sql.Connection dbCon)
          Populates a new Activity object.
static Activity ActivityManager.create(Issue issue, Attribute attribute, ActivitySet activitySet, ActivityType type, java.lang.String description, Attachment attachment, Depend depend, java.lang.Integer oldNumericValue, java.lang.Integer newNumericValue, java.lang.Integer oldUserId, java.lang.Integer newUserId, java.lang.Integer oldOptionId, java.lang.Integer newOptionId, java.lang.String oldTextValue, java.lang.String newTextValue, java.sql.Connection dbCon)
          Populates a new Activity object.
 java.lang.String AbstractScarabUser.setReportingIssue(Issue issue)
           
 void AbstractScarabUser.setReportingIssue(java.lang.String key, Issue issue)
           
 void AbstractScarabUser.setLastEnteredTemplate(Issue template)
           
 void BaseIssueVote.setIssue(Issue v)
          Declares an association between this object and a Issue object
 void BaseActivity.setIssue(Issue v)
          Declares an association between this object and a Issue object
 void BaseIssueType.addIssue(Issue l)
          Method called to associate a Issue object to this object through the Issue foreign key attribute
protected  java.util.Set Issue.getUsersToEmail(java.lang.String action, Issue issue, java.util.Set users)
          Returns the users which should be notified when this issue is modified.
 ActivitySet Issue.doAddDependency(ActivitySet activitySet, Depend depend, Issue childIssue, ScarabUser user)
           
 Depend Issue.getDependency(Issue potentialDependency)
          Checks to see if this issue has a dependency on the passed in issue.
 Depend Issue.getDependency(Issue potentialDependency, boolean hideDeleted)
          Checks to see if this issue has a dependency on the passed in issue.
 void BaseAttributeValue.setIssue(Issue v)
          Declares an association between this object and a Issue object
 java.lang.String ScarabUserImpl.setReportingIssue(Issue issue)
           
 void ScarabUserImpl.setReportingIssue(java.lang.String key, Issue issue)
           
 void ScarabUserImpl.setLastEnteredTemplate(Issue template)
           
 void BaseAttachment.setIssue(Issue v)
          Declares an association between this object and a Issue object
static void BaseIssuePeer.populateObject(com.workingdogs.village.Record row, int offset, Issue obj)
          Populates an object from a resultset row starting from a specified offset.
static java.util.List BaseIssuePeer.doSelect(Issue obj)
          Method to do selects
static void BaseIssuePeer.doInsert(Issue obj)
          Method to do inserts
static void BaseIssuePeer.doUpdate(Issue obj)
           
static void BaseIssuePeer.doDelete(Issue obj)
           
static void BaseIssuePeer.doInsert(Issue obj, java.sql.Connection con)
          Method to do inserts.
static void BaseIssuePeer.doUpdate(Issue obj, java.sql.Connection con)
          Method to do update.
static void BaseIssuePeer.doDelete(Issue obj, java.sql.Connection con)
          Method to delete.
static org.apache.torque.util.Criteria BaseIssuePeer.buildCriteria(Issue obj)
          Build a Criteria object from the data object for this peer
static org.apache.torque.util.Criteria BaseIssuePeer.buildSelectCriteria(Issue obj)
          Build a Criteria object from the data object for this peer, skipping all binary columns
 void BaseActivitySet.addIssueRelatedByCreatedTransId(Issue l)
          Method called to associate a Issue object to this object through the Issue foreign key attribute
 void BaseActivitySet.addIssueRelatedByLastTransId(Issue l)
          Method called to associate a Issue object to this object through the Issue foreign key attribute
 java.lang.String ScarabUser.setReportingIssue(Issue issue)
          Places an issue into the session that can be retrieved using the key that is returned from the method.
 void ScarabUser.setReportingIssue(java.lang.String key, Issue issue)
          Places an issue into the session under the given key.
 void ScarabUser.setLastEnteredTemplate(Issue template)
           
 Attachment Depend.getDescriptionAsAttachment(ScarabUser user, Issue issue)
          Gets the description of the message given by the user for the reason for this dependency.
static boolean BaseIssueManager.exists(Issue obj)
           
protected  boolean BaseIssueManager.existsImpl(Issue om)
          check for a duplicate project name
static AttributeValue AttributeValue.getNewInstance(RModuleAttribute rma, Issue issue)
          Creates, initializes and returns a new AttributeValue.
static AttributeValue AttributeValue.getNewInstance(java.lang.Integer attId, Issue issue)
          Creates, initializes and returns a new AttributeValue.
static AttributeValue AttributeValue.getNewInstance(Attribute attribute, Issue issue)
          Creates, initializes and returns a new AttributeValue.
 java.util.List ActivitySet.getActivityListForIssue(Issue issue)
          Returns a list of Activity objects associated with this ActivitySet And this issue.
 java.util.Set ActivitySet.getRemovedUsers(Issue changedIssue)
          Returns a set of ScarabUsers which are removed from changedIssue in this ActivitySet
 void BaseScarabModule.addIssue(Issue l)
          Method called to associate a Issue object to this object through the Issue foreign key attribute
 void BaseIssueTemplateInfo.setIssue(Issue v)
          Declares an association between this object and a Issue object
static java.lang.String ActivityPeer.getNewIssueUniqueId(Issue issue)
          Search the activity table for the last occurrence of "issue_moved" for the five issue, returning the ID of the new value of the ID.
 

Uses of Issue in org.tigris.scarab.tools
 

Methods in org.tigris.scarab.tools that return Issue
 Issue ScarabRequestTool.getIssueTemplate()
          An Enter issue template.
 Issue ScarabRequestTool.getIssueTemplate(java.lang.String templateId)
          An Enter issue template.
 Issue ScarabRequestTool.getReportingIssue()
          The issue that is currently being entered.
 Issue ScarabRequestTool.getIssue()
          Get an Issue object from unique id given either as an intake field or a request parameter keyed with "id".
 Issue ScarabRequestTool.getIssue(java.lang.String id)
          Takes unique id and returns issue.
 Issue ScarabRequestTool.getIssueIncludingDeleted(java.lang.String id)
          Returns an issue given its ID, even if it's been deleted or moved.
 Issue ScarabRequestTool.getIssueByPk(java.lang.String key)
          The id may only be the issue's primary key.
 

Methods in org.tigris.scarab.tools with parameters of type Issue
 AttributeValue ScarabRequestTool.getNewAttributeValue(Attribute attribute, Issue issue)
          Gets a new instance of AttributeValue
 void ScarabRequestTool.setReportingIssue(Issue issue)
           
 void ScarabRequestTool.setIssue(Issue issue)
          A Issue object for use within the Scarab API.
 

Uses of Issue in org.tigris.scarab.util
 

Methods in org.tigris.scarab.util with parameters of type Issue
 EmailLink EmailLink.getIssueIdLink(Issue issue)
          Returns a short link for viewing a single issue
 void EmailContext.setIssue(Issue issue)
           
 ScarabLink ScarabLink.getIssueIdLink(Issue issue)
          Returns a short link for viewing a single issue
 ScarabLink ScarabLink.getIssueIdAbsoluteLink(Issue issue)
          Returns a short link for viewing a single issue that will not include session info and will be absolute.
 

Uses of Issue in org.tigris.scarab.util.word
 

Subclasses of Issue in org.tigris.scarab.util.word
 class IssueSearch
          A utility class to build up and carry out a search for similar issues.
 

Methods in org.tigris.scarab.util.word with parameters of type Issue
 IssueSearch IssueSearchFactory.getInstance(Issue issue, ScarabUser searcher)
           
 

Constructors in org.tigris.scarab.util.word with parameters of type Issue
IssueSearch(Issue issue, ScarabUser searcher)
           
 

Uses of Issue in org.tigris.scarab.workflow
 

Methods in org.tigris.scarab.workflow with parameters of type Issue
 boolean CheapWorkflow.canMakeTransition(ScarabUser user, AttributeOption fromOption, AttributeOption toOption, Issue issue)
          Returns true if the transition from the option fromOption to toOption is allowed for the current user.
 java.util.List CheapWorkflow.filterConditionalTransitions(java.util.List transitions, Issue issue)
          Filter the allowed transitions so only those not-conditioned, those whose condition fulfill, and those not restricted by the blocking condition, will remain.
 boolean Workflow.canMakeTransition(ScarabUser user, AttributeOption fromOption, AttributeOption toOption, Issue issue)
           
 java.lang.String Workflow.checkTransition(AttributeOption fromOption, AttributeOption toOption, Issue issue, java.util.Map newAttVals, ScarabUser user)
           
 java.lang.String Workflow.checkInitialTransition(AttributeOption toOption, Issue issue, java.util.Map newAttVals, ScarabUser user)
           
 boolean DefaultWorkflow.canMakeTransition(ScarabUser user, AttributeOption fromOption, AttributeOption toOption, Issue issue)
           
 java.lang.String DefaultWorkflow.checkTransition(AttributeOption fromOption, AttributeOption toOption, Issue issue, java.util.Map newAttVals, ScarabUser user)
           
 java.lang.String DefaultWorkflow.checkInitialTransition(AttributeOption toOption, Issue issue, java.util.Map newAttVals, ScarabUser user)
           
 

Uses of Issue in org.tigris.scarab.xmlrpc
 

Methods in org.tigris.scarab.xmlrpc with parameters of type Issue
protected  boolean SimpleHandler.addComment(Issue issue, ScarabUser user, java.lang.String comment, boolean disableEmails)
          Append a comment to the specified issue.
protected  boolean SimpleHandler.changeIssueAttributeOption(Issue issue, ScarabUser user, Attribute attribute, AttributeOption option, java.lang.String description)
          Update Issue's attribute option with a given user and description
 



Copyright © 2000-2004 Tigris.org. All Rights Reserved.